/*
-----------------------------------------------------------------------------
 File: PlayerInput.h

 Desc: Input translated to a player's pad and button.

 Copyright (c) 2001 Chris Danford.  All rights reserved.
-----------------------------------------------------------------------------
*/

#ifndef _PlayerInput_H_
#define _PlayerInput_H_


#include "Steps.h"
#include "GameTypes.h"



struct PlayerInput
{
public:
	PlayerInput() { player_no = PLAYER_NONE; step = STEP_NONE; }; 
	PlayerInput(PlayerNumber p, TapStep s) { player_no = p; step = s; };

	PlayerNumber player_no;
	TapStep step;
};




#endif