/*
-----------------------------------------------------------------------------
 File: ScoreDisplayRollingWithFrame.h

 Desc: A graphic displayed in the ScoreDisplayRollingWithFrame during Dancing.

 Copyright (c) 2001 Chris Danford.  All rights reserved.
-----------------------------------------------------------------------------
*/


#ifndef _ScoreDisplayRollingWithFrame_H_
#define _ScoreDisplayRollingWithFrame_H_


#include "ActorFrame.h"
#include "Sprite.h"
#include "ScoreDisplayRolling.h"



class ScoreDisplayRollingWithFrame : public ActorFrame
{
public:
	ScoreDisplayRollingWithFrame();
	void SetScore( float fNewScore );
	float GetScore();
	void AddToScore( TapStepScore score, int iCurCombo );

protected:
	Sprite				m_sprScoreFrame;
	ScoreDisplayRolling	m_ScoreDisplay;
};

#endif