/*
-----------------------------------------------------------------------------
 File: WindowPlayerOptions.h

 Desc: Select a song.

 Copyright (c) 2001 Chris Danford.  All rights reserved.
-----------------------------------------------------------------------------
*/
#ifndef _WINDOWPLAYEROPTIONS_H_
#define _WINDOWPLAYEROPTIONS_H_


#include "Window.h"
#include "WindowOptions.h"
#include "Sprite.h"
#include "BitmapText.h"
#include "RandomSample.h"
#include "TransitionFade.h"
#include "Rectangle.h"



class WindowPlayerOptions : public WindowOptions
{
public:
	WindowPlayerOptions();

private:
	void ImportOptions();
	void ExportOptions();

	void GoToNextState();
	void GoToPrevState();
};



#endif 