/*
-----------------------------------------------------------------------------
 File: WindowSandbox.h

 Desc: Area for testing.

 Copyright (c) 2001 Chris Danford.  All rights reserved.
-----------------------------------------------------------------------------
*/

#ifndef _WindowSandbox_H_
#define _WindowSandbox_H_


#include "Window.h"
#include "Sprite.h"
#include "BitmapText.h"
#include "Rectangle.h"
#include "TransitionStarWipe.h"
#include "MotionBlurSprite.h"


class WindowSandbox : public Window
{
public:
	WindowSandbox();

	virtual void Update( float fDeltaTime );
	virtual void RenderPrimitives();
	virtual void Input( DeviceInput& DeviceI, PadInput &PadI, PlayerInput &PlayerI );
	virtual void HandleWindowMessage( WindowMessage SM );

	RectangleActor m_rect;
	Sprite		m_sprJudgement;
	TransitionStarWipe	m_Wipe;
	MotionBlurSprite	m_sprite;
};


#endif