/*
-----------------------------------------------------------------------------
 File: WindowSongOptions.h

 Desc: Select a song.

 Copyright (c) 2001 Chris Danford.  All rights reserved.
-----------------------------------------------------------------------------
*/
#ifndef _WindowSongOptions_H_
#define _WindowSongOptions_H_



#include "Window.h"
#include "WindowOptions.h"
#include "Sprite.h"
#include "BitmapText.h"
#include "RandomSample.h"
#include "TransitionFade.h"
#include "Rectangle.h"



class WindowSongOptions : public WindowOptions
{
public:
	WindowSongOptions();

private:
	void ImportOptions();
	void ExportOptions();

	void GoToNextState();
	void GoToPrevState();
};





#endif