/*
-----------------------------------------------------------------------------
 File: LifeMeterPills.h

 Desc: A graphic displayed in the LifeMeterPills during Dancing.

 Copyright (c) 2001 Chris Danford.  All rights reserved.
-----------------------------------------------------------------------------
*/


#ifndef _LifeMeterPills_H_
#define _LifeMeterPills_H_


#include "ActorFrame.h"
#include "Sprite.h"
#include "ScoreDisplayRolling.h"



class LifeMeterPills : public ActorFrame
{
public:
	LifeMeterPills();
	virtual void RenderPrimitives();

	void SetBeat( float fSongBeat ) { m_fSongBeat = fSongBeat; };

	void ChangeLife( TapStepScore score );
	float GetLifePercentage();

private:
	float m_fSongBeat;

	float		m_fLifePercentage;
	Sprite		m_sprLifeMeterFrame;
	Sprite		m_sprLifeMeterPills;
};

#endif