/*
-----------------------------------------------------------------------------
 File: MiniBackground.h

 Desc: Cropped version of the song background displayed in Song Select.

 Copyright (c) 2001 Chris Danford.  All rights reserved.
-----------------------------------------------------------------------------
*/


#ifndef _MiniBackground_H_
#define _MiniBackground_H_

#define MINI_BACKGROUND_WIDTH	268
#define MINI_BACKGROUND_HEIGHT	90


#include "Sprite.h"
#include "BitmapText.h"
#include "Song.h"


class MiniBackground : public Sprite
{
public:
	void LoadFromSong( Song& song );
	void LoadNoSong();

};




#endif