#include "stdafx.h"
/*
-----------------------------------------------------------------------------
 File: ScoreDisplayRollingWithFrame.h

 Desc: A graphic displayed in the ScoreDisplayRollingWithFrame during Dancing.

 Copyright (c) 2001 Chris Danford.  All rights reserved.
-----------------------------------------------------------------------------
*/

#include "ScoreDisplayRollingWithFrame.h"
#include "ThemeManager.h"


ScoreDisplayRollingWithFrame::ScoreDisplayRollingWithFrame()
{
	m_sprScoreFrame.Load( THEME->GetPathTo(GRAPHIC_SCORE_FRAME) );
	this->AddActor( &m_sprScoreFrame );
	this->AddActor( &m_ScoreDisplay );
}


void ScoreDisplayRollingWithFrame::SetScore( float fNewScore )
{
	m_ScoreDisplay.SetScore( fNewScore );
}

float ScoreDisplayRollingWithFrame::GetScore()
{
	return m_ScoreDisplay.GetScore();
}

void ScoreDisplayRollingWithFrame::AddToScore( TapStepScore stepscore, int iCurCombo )
{
	m_ScoreDisplay.AddToScore( stepscore, iCurCombo );
}
