/*
-----------------------------------------------------------------------------
 File: TransitionFadeWipeWithLogo.cpp

 Desc: Fades out or in.

 Copyright (c) 2001 Chris Danford.  All rights reserved.
-----------------------------------------------------------------------------
*/

#ifndef _TransitionFadeWipeWithLogo_H_
#define _TransitionFadeWipeWithLogo_H_


#include "RageScreen.h"
#include "RageSound.h"
#include "Sprite.h"
#include "TransitionFadeWipe.h"


class TransitionFadeWipeWithLogo : public TransitionFadeWipe
{
public:
	TransitionFadeWipeWithLogo();

	virtual void Update( float fDeltaTime );
	virtual void RenderPrimitives();

protected:
	Sprite m_sprLogo;
};




#endif