/*
-----------------------------------------------------------------------------
 File: TransitionStarWipe.cpp

 Desc: A burst of light from the center of the screen.

 Copyright (c) 2001 Chris Danford.  All rights reserved.
-----------------------------------------------------------------------------
*/

#ifndef _TransitionStarburst_H_
#define _TransitionStarburst_H_


#include "RageScreen.h"
#include "Sprite.h"
#include "Transition.h"


class TransitionStarburst : public Transition
{
public:
	TransitionStarburst();
	~TransitionStarburst();

	virtual void Update( float fDeltaTime );
	virtual void RenderPrimitives();

	virtual void OpenWipingRight();
	virtual void OpenWipingLeft();
	virtual void CloseWipingRight();
	virtual void CloseWipingLeft();

protected:
	Sprite		m_sprStarburst;

};




#endif