/*
-----------------------------------------------------------------------------
 File: WindowCaution.h

 Desc: Screen that displays while SelectSong is being loaded.

 Copyright (c) 2001 Chris Danford.  All rights reserved.
-----------------------------------------------------------------------------
*/


#include "Window.h"
#include "WindowLoading.h"
#include "TransitionFade.h"
#include "RandomSample.h"


class WindowCaution : public Window
{
public:
	WindowCaution();

	virtual void Input( DeviceInput& DeviceI, PadInput &PadI, PlayerInput &PlayerI );
	virtual void HandleWindowMessage( WindowMessage SM );


	RandomSample m_soundCaution;

	Sprite m_sprCaution;

	TransitionFade	m_Wipe;

protected:
	void Next();
};

